Page MenuHomePhabricator

Build and upload envoy 1.12.0 package.
Closed, ResolvedPublic

Description

Envoy 1.12 has come out.

We need to:

  • look at the changelog
  • build envoy in the dedicated cloud VPS, both for stretch and buster
  • upload to reprepro

For building, see https://wikitech.wikimedia.org/wiki/Envoy#Building_envoy_for_WMF

Details

Related Gerrit Patches:
operations/docker-images/production-images : masterUpgrade envoy images to the latest version (1.12.1)

Event Timeline

Joe created this task.Nov 4 2019, 10:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2019, 10:29 AM
MoritzMuehlenhoff triaged this task as Medium priority.Nov 4 2019, 4:05 PM
Joe claimed this task.Nov 8 2019, 9:13 AM
Joe added a comment.Wed, Nov 20, 9:57 AM

In the meantime, we have a security release 1.12.1 - I will build it and upload it to stretch and buster.

Change 552244 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/docker-images/production-images@master] Upgrade envoy images to the latest version (1.12.1)

https://gerrit.wikimedia.org/r/552244

Change 552244 merged by Giuseppe Lavagetto:
[operations/docker-images/production-images@master] Upgrade envoy images to the latest version (1.12.1)

https://gerrit.wikimedia.org/r/552244

Mentioned in SAL (#wikimedia-operations) [2019-11-22T14:48:35Z] <_joe_> uploaded envoyproxy 1.12.1 to {buster,stretch} T237235

Joe closed this task as Resolved.Fri, Dec 6, 9:20 AM